
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Python socket.error: [Errno 98] Address already in use的原因和解决方法_python / iVAN</title>

    <meta name="description" content="Python socket.error: [Errno 98] Address already in use的原因和解决方法_python 一.原因浅析 今天在写一个Python与html5 Websocket 实例,么次终止运行重新运行脚本总是提示地址已经存在并且被使用!查询相关文档才知道在socket编程中,当通过客户端向服务器端发送消息,关闭了连接后,这时如果马上再去运行服务器端程序,会提示这个错误: 复制代码 代码如下: socket.error: [Errno 98] Address already in use 这是因为在TCP/IP终止连接的四次握手中,当最后的ACK回复发出后,有个2MSL的时间等待,MSL指一个片段">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Python socket.error: [Errno 98] Address already in use的原因和解决方法_python</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>一、原因浅析</strong></p>
<p>今天在写一个Python与html5 Websocket 实例，么次终止运行重新运行脚本总是提示地址已经存在并且被使用！查询相关文档才知道在socket编程中，当通过客户端向服务器端发送消息，关闭了连接后，这时如果马上再去运行服务器端程序，会提示这个错误：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>socket.error: [Errno 98] Address already in use</p>
<p>这是因为在TCP/IP终止连接的四次握手中，当最后的ACK回复发出后，有个2MSL的时间等待，MSL指一个片段在网络中最大的存活时间，这个时间一般是30秒，所以基本上过60秒后就可以重新连接！<br />
为什么要等待2MSL？是因为在最后发出ACK回复后，发送方不能确认ACK是否被另一端正常收到，如果另一端没有收到ACK回复的话，将会在1MSL后再次发送FIN片段。所以说发送方等待2MSL时间，也就是刚好它发ACK回复和对方发送FIN片段的时间，如果此时间内都没有再次收到FIN片段的话，发送方就假设对方已经正常接收到了ACK回复，此时它就会正常关闭连接！<br />
<br /><strong>二、解决方法</strong></p>
<p>如果python中socket 绑定的地址正在使用，往往会出现错误，</p>
<p>在linux下：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>            则会显示“ socket.error: [Errno 98] Address already in use”</p>
<p>在windows下：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>          则会显示 “socket.error: [Errno 10048] 通常每个套接字地址（协议/网络地址/端口）只允许使用一次”</p>
<p>这是因为socket默认不支持地址复用，如果要复用需要显示设定，即在绑定前调用setsockop函数t让套接字允许地址重用：socket.setsockopt(socket.SOL_SOCKET,socket.SO_REUSEADDR,1)<br />
<br />例如：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>        self.recSocket = socket.socket(socket.AF_INET, socket.SOCK_DGRAM)  <br />
        self.recSocket.settimeout(CHECK_TIMEOUT)<br />
        self.recSocket.setsockopt(socket.SOL_SOCKET,socket.SO_REUSEADDR,1)  <br />
        self.recSocket.bind(('', UDP_PORT)) </p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-05 08:15:21</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/python/" title="python">python</a>, <a href="https://www.iamivan.net/tag/already/" title="already">already</a>, <a href="https://www.iamivan.net/tag/address/" title="address">address</a>, <a href="https://www.iamivan.net/tag/use/" title="use">use</a>, <a href="https://www.iamivan.net/tag/errno/" title="errno">errno</a>, <a href="https://www.iamivan.net/tag/socket-error/" title="socket&period;error&colon;">socket&period;error&colon;</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Python socket.error: [Errno 98] Address already in use的原因和解决方法_python的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvJdvaM.html" rel="bookmark">python错误：AttributeError&colon; &amp;&num;039&semi;module&amp;&num;039&semi; object has no attribute &amp;&num;039&semi;setdefaultencoding&amp;&num;039&semi;问题的解决方法&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Python的字符集处理实在蛋疼,目前使用UTF-8居多,然后默认使用的字符集是ascii,所以我们需要改成utf-8 查看目前系统字符集 复制代码 代码如下: import sys print sys.getdefaultencoding() 执行: 复制代码 代码如下: [root@lee ~]# python a.py ascii 修改成utf-8 复制代码 代码如下: import sys   sys.setdefaultencoding('utf-8')   print sys.get			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/lpP8j1p.html" rel="bookmark">【MySQL】Got fatal error 1236原因和解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一 前言  MySQL 的主从复制作为一项高可用特性,用于将主库的数据同步到从库,在维护主从复制数据库集群的时候,作为专职的MySQL DBA,笔者相信大多数人都会遇到&quot;Got fatal error 1236 from master when reading data from binary log&quot; 这类的报错/报警.本文整理了常见的几种 error 1236 报错,并给出相应的解决方法,有所不足之处,当然也希望各位读者朋友指正. 二 常见的error 1236 报错2.1 log			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/baa2gNb.html" rel="bookmark">PE还原Win7系统提示错误还原无法继续Error Number&colon;&lpar;19010&rpar; 的原因及解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原因分析及解决方法: 1.还原空间不够,有的系统占空间比较大,比如,一般win7安装的要求在20G以上,检查下C盘空间是否足够,如果空间不够也会出现这种提示. 2.检查镜像文件是否损坏,可以用MD5校验工具对比下载页面标示的MD5码是否一致,如不一致,可能是下载过程中出现数据错误,重新下载镜像再次安装试试.   3.硬盘分区表可能出错错误,检查一下硬盘上的分区表,同时查看下分区类型是否是MBR类型,GPT分区是不能安装GHOST镜像系统的.   4.硬盘可能存在坏道,可用DG工具检测并修复硬盘坏			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwKDQRz.html" rel="bookmark">python Socket 编程 errno 10061 错误如何解决</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				python代码在访问网络的时候老出现errno 10061的错误,根源还是代理的问题. 错误的意思大约是:10061 因为目标主机主动拒绝,连接不能建立.这通常是因为试图连接到一个远程主机上不活动的服务,如没有服务器应用程序处于执行状态. 造成错误的可能原因:目标服务器主动拒绝,防火墙,路由设置问题,代理(本文要处理的) 因为开了代理,没有恢复过来,解决方法步骤如下: 打开IE浏览器-&gt; 依次选择工具?Internet选项?连接?局域网设置,取消代理服务器复选框 去掉勾选之后,再进连接,错误问			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pm6PN7z.html" rel="bookmark">Python提示&lbrack;Errno 32&rsqb;Broken pipe导致线程crash错误解决方法&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Python提示[Errno 32]Broken pipe导致线程crash错误解决方法.分享给大家供大家参考.具体方法如下: 1. 错误现象ThreadingHTTPServer 实现的 http 服务,如果客户端在服务器返回前,主动断开连接,则服务器端会报 [Errno 32] Broken pipe 错,并导致处理线程 crash. 下面先看个例子,python 版本: 2.7 示例代码 复制代码 代码如下: #!/usr/bin/env python #!coding=ut			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlVrEaz.html" rel="bookmark">使用Python脚本实现批量网站存活检测遇到问题及解决方法&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				做渗透测试的时候,有个比较大的项目,里面有几百个网站,这样你必须首先确定哪些网站是正常,哪些网站是不正常的.所以自己就编了一个小脚本,为以后方便使用. 具体实现的代码如下: #!/usr/bin/python # -*- coding: UTF-8 -*- ''' @Author:joy_nick @博客:http://byd.dropsec.xyz/ ''' import requests import sys f = open('url.txt', 'r') url = f.readline			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVwqqmb.html" rel="bookmark">Python实现将n个点均匀地分布在球面上的方法&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Python实现将n个点均匀地分布在球面上的方法.分享给大家供大家参考.具体分析如下: 最近工作上遇到一个需求,将10000左右个点均匀地分布在一个球面上.所谓的均匀,即相邻的两个点之间的距离尽量一致. 我的算法是用基于正多面体剖分球面,我选的是正八面体. 1. 效果图如下: 2.sphere.py代码如下 #!/usr/bin/python # -*- coding: utf-8 -*- import math class Spherical(object): '''球坐标系''			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6N33JM.html" rel="bookmark">python让图片按照exif信息里的创建时间进行排序的方法&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了python让图片按照exif信息里的创建时间进行排序的方法.分享给大家供大家参考.具体分析如下: 我们经常会从不同的设备里取出照片,比如照相机,手机,iphone等等,操作系统记录的创建日期经常 会因为拷贝等原因变动,下面的代码可以给图片按照exif里的创建时间进行排序,非常有用. 复制代码 代码如下: import os import shutil import Image from PIL.ExifTags import TAGS def print_all_known_ex			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8kL7oM.html" rel="bookmark">php错误提醒FastCGI Error Error Number&colon; -2147467259 &lpar;0x80004005&rpar;错误原因及解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文转自IT摆渡网欢迎转载,请标明出处 更多php文章请阅读 php问题解决 我的PHP是IIS模式的,今天出现这种错误提示:FastCGI Error The FastCGI Handler was unable to process the request. //FastCGI无法处理请求,出现这种错误多见于在IIS中以FastCGI模式运行PHP的情况,原因是php.ini配置的问题,费话不多说,这里直接给出解决方法,不浪费时间. 1.打开php.ini找到register_globals			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qzDqABb.html" rel="bookmark" class="title">谷歌搜索不再支持屏蔽自定义网站</a>
					<div>
						新浪科技讯  北京时间3月25日早间消息,谷歌上周日宣布,将关闭谷歌搜索中的自定义屏蔽网站功能.该功能去年曾短暂消失,几天后又很快恢复. 通过这项功能,用户可以在搜索结果中屏蔽自己不喜欢的域名.虽然该 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMy6Klp.html" rel="bookmark" class="title">Counters 组件参考&lpar;五&rpar; - Set方法</a>
					<div>
						参考 SetSet 方法根据计数器的名称和一个整数参数,将计数器设置为该整数值,并返回此新值.若该计数器不存在,则 Counters.Set 创建计数器并将其值设为这一整数. 要获取计数器的值,可使用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnx7dkb.html" rel="bookmark" class="title">两台交换机相互联接应当如何去做级联</a>
					<div>
						问:我有两台交换机,我想把它们联接起来,我该如何去做级联? 答:级联时主要是看其交换机有无Uplink端口.通常按以下两种方式来考虑.两种级联方式. 第一:有Uplink端口,则一端使用Uplink端 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2A07M.html" rel="bookmark" class="title">第一个Centos lxc容器</a>
					<div>
						在lxc安装过程遇到的所有问题解决后,你可以创建你的第一个lxc容器了. 最简单的方法使用lxc自带的创建文件系统的工具,当然你也可以自己做个文件系统. 模板的安装路径一般放在/usr/local/s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7kWW4z.html" rel="bookmark" class="title">Rails测试《七》实战功能测试functional test</a>
					<div>
						之前我们介绍过,rails的功能测试针对的是controller,测试controller的action是否正确的执行. 测试的内容主要是: 测试请求是否正确. 测试用户是否跳转到正确的页面. 测试用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLrYRb.html" rel="bookmark" class="title">Windows的动态链接库原理及使用2</a>
					<div>
						3 利用DLLs实现数据传输 3.1 DLLs中的全局内存 Windows规定:DLLs并不拥有它打开的任何文件或它分配的任何全局内存块.这些对象由直接或间接调用DLLs的应用程序拥有.这样,当应用程 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWXxVAp.html" rel="bookmark" class="title">购买笔记本固态硬盘要注意哪些细节</a>
					<div>
						  同配置的笔记本为何存在明显的性能差?一样256GB容量大小的SSD硬盘为何读写速度测出来差了接近1倍?购买笔记本的时候,我们很多时候都会将注意力放在处理器.显卡的身上,殊不知,同样挂着SSD头衔的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Z0KZb.html" rel="bookmark" class="title">win7电脑的任务栏被自动隐藏了怎么办？</a>
					<div>
						  我们在使用电脑的时候常常突然之间开机就和之前的设置不一样了,可能会打开电脑发现自己的win7旗舰版的系统最底部的任务栏不见了,这个到底是什么情况呢,到底是发生了什么事情呢,其实一般这样的情况下都是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oqeRb.html" rel="bookmark" class="title">win7任务栏没有电源图标怎么办</a>
					<div>
						  记本电脑在连接电源之后,一般也会在任务栏通知区域中显示&quot;电源&quot;图标,这样也能第一时间了解笔记本电池电量状态.最近有用户发现通知区域&quot;电源&quot;图标不显示,通过w ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq89NGb.html" rel="bookmark" class="title">JAVA中int与string互转的效率对比</a>
					<div>
						今天突然心血来潮,想看看int与string互转的效率,所以试一下. 1.int转string对比 众所周知,int转string有三种方法: &lt;pre name=&quot;code&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwe7rp.html" rel="bookmark" class="title">HDU 4386 给出四条边长求最大面积</a>
					<div>
						题意:给出四条边长求四条边长最大面积. 不难发现凸四边形的面积最大,并且该四边形的端点在一个圆上,如果a+b+c&lt;=d (d为最长边),那么不能组成四边形输出-1,其他情况根据公式s=sqrt( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwARdp.html" rel="bookmark" class="title">代码-如何在VS中使用C&num;设计程序实现查询点、线、面要素的空间查询</a>
					<div>
						问题描述 如何在VS中使用C#设计程序实现查询点.线.面要素的空间查询 各位大婶 本人GIS专业大三学生一枚 实习中遇到任务 要基于MO的开发环境实现点.线.面要素的空间查询?因为以前学的比较渣 然后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAr5YM.html" rel="bookmark" class="title">linux下redis执行bgsave时，报overcommit&lowbar;memory错误问题</a>
					<div>
						现象 一台机器如果内存用完,在进行bgsave时,可能会报错.错误信息大概如下: [1946] 23 Mar 15:21:02.308 # WARNING overcommit_memory is s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPP6x8p.html" rel="bookmark" class="title">初学android菜鸟的一个小小的问题，求解答</a>
					<div>
						问题描述 初学android菜鸟的一个小小的问题,求解答 先上代码吧 public class MainActivity extends ListActivity { Button update_bt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYjoDrp.html" rel="bookmark" class="title">javascript-meta中的refresh返回上一页，我想让它自动跳转到上一页，表单中的数据还保留</a>
					<div>
						问题描述 meta中的refresh返回上一页,我想让它自动跳转到上一页,表单中的数据还保留 我在head中添加了这样一句话,为什么还是不行? 整个head如下所示: Bootstrap Admin  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ZREqz.html" rel="bookmark" class="title">radius-求大神解答，为什么datalist中处理radiobutton的checked时string无法赋值？</a>
					<div>
						问题描述 求大神解答,为什么datalist中处理radiobutton的checked时string无法赋值? 代码如下,在最后if (strarm == tmp)判定时编译器老是提醒我tmp的值为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZgKQqb.html" rel="bookmark" class="title">Android webview播放优酷土豆的问题</a>
					<div>
						问题描述 Android webview播放优酷土豆的问题 要播放优酷的视频,需要在Manifest文件里面设置:android:hardwareAccelerated=&quot;true&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mydjklb.html" rel="bookmark" class="title">SQLSERVER2008新增的审核&sol;审计功能</a>
					<div>
						原文:SQLSERVER2008新增的审核/审计功能 SQLSERVER2008新增的审核/审计功能 很多时候我们都需要对数据库或者数据库服务器实例进行审核/审计 例如对失败的登录次数进行审计,某个数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvm0E6b.html" rel="bookmark" class="title">你的原创的文章被转载后&OpenCurlyDoubleQuote;原创&rdquo;过吗？</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 互联网是一个庞大的舞台,每个人都有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4e3ELb.html" rel="bookmark" class="title">阿里云大学精品课程：深入理解阿里云数加大数据开发套件Data IDE-基本知识</a>
					<div>
						阿里云大学精品课程:深入理解阿里云数加大数据开发套件Data IDE-基本知识 写在最前面 &gt;&gt;&gt;进入了解更多&gt;&gt;&gt;阿里云数加·MaxCompute大数据计算服务. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGZONOp.html" rel="bookmark" class="title">asp&period;net&lpar;vb&rpar;图象上传与缩略图 GDI&plus;</a>
					<div>
						问题描述 asp.net(VB)上传和下载并生成缩略图(初始代码)&lt;%@PageLanguage=&quot;VB&quot;AutoEventWireup=&quot;false&quot;C ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6G3xJp.html" rel="bookmark" class="title">郑少秋银发造型亮相显老态自比木村拓哉&lpar;图&rpar;</a>
					<div>
						郑少秋银发亮相很抢眼(1/12张) 相关新闻 11月15日,郑少秋.陈豪.邵美琪(Maggie).陈茵薇.黄德斌.陈秀珠等出席新剧&lt;心战&gt;(暂名)拜神仪式. 秋官郑少秋以一头银发新造型亮相 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqWAyKz.html" rel="bookmark" class="title">java如何使用qmail进行邮件转发</a>
					<div>
						问题描述 java如何使用qmail进行邮件转发 我个人不太了解qmail,因为自己接触的一个功能用perl整合qmail实现了邮件的转发.现在要用java实现相同的功能.这个实在没有思路,求助大神看 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7QA25M.html" rel="bookmark" class="title">Android中让按钮拥有返回键功能的方法及重写返回键功能&lowbar;Android</a>
					<div>
						让按钮拥有返回键的功能很简单,在点击事件加上finish();就OK了. 如: 复制代码 代码如下: public void onClick(View v){ finish(); } finish() ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWZjkz.html" rel="bookmark" class="title">在ASP&period;NET 2&period;0中操作数据之五：声明参数&lowbar;自学过程</a>
					<div>
						导言 在上一章的教程中,我们看了GridView.DetailsView和FormView绑定到OjbectDataSource控件显示数据,ObjectDataSource调用了类ProductsB ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba6Z8PM.html" rel="bookmark" class="title">jquery数组之存放checkbox全选值示例代码&lowbar;jquery</a>
					<div>
						复制代码 代码如下: &lt;input type=&quot;checkbox&quot; id=&quot;checkAll&quot; value=&quot;1&quot;&gt;全选/全部不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZ2ym4z.html" rel="bookmark" class="title">泰一指尚董事长江有归任浙大&OpenCurlyDoubleQuote;大数据跨界服务科技联盟指导委员会&rdquo;委员</a>
					<div>
						4月19日,浙江大学西湖学术论坛第138次会议顺利召开,&quot;大数据跨界服务科技联盟&quot;发布最新战略研讨成果,并正式聘任泰一指尚董事长江有归为浙江大学大数据跨界服务科技联盟指导委员会委员 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bByRKKz.html" rel="bookmark" class="title">性学网站将只向专业人士开放</a>
					<div>
						本报北京6月24日讯 记者张鑫 卫生部日前在其网站公布了&lt;互联网医疗保健信息服务管理办法&gt;,该办法自7月1日起施行.办法规定网站严禁以开展性科学研究为名传播淫秽内容.此前的&lt;卫生部关 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5YLDWp.html" rel="bookmark" class="title">无锡十亿骗贷案背后危局</a>
					<div>
						本报记者 何 唐 江苏报道 一个项目竟获取两个贷款,总额多达十余亿.地方融资平台危机风声渐紧之际,江苏却曝此案例,揭开了危局的冰山一角. 据悉,作为无锡市国土局直属机构土地储备中心的挂靠国有企业,无锡 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
									<a href="https://www.iamivan.net/a/M9Nl0Rp.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcmVhZC5odG1sNS5xcS5jb20vaW1hZ2U/c3JjPWZvcnVtJmFtcDtxPTUmYW1wO3I9MCZhbXA7aW1nZmxhZz03JmFtcDtpbWFnZVVybD1odHRwOi8vbW1iaXoucXBpYy5jbi9tbWJpei93YzdZTlBtM1l4V1NqNlBXSFhIbFRaMGxUSGJueWZBMGw5bm5QT2s5c2F6WFBQNk9RUUZpYkpBcDJ3VnRIZDZwSEFmMEdTMVNFUTFORFlpYWc1RWtuWnBBLzA=.jpg">
							</a>
							<div class="info"   >
					<a href="https://www.iamivan.net/a/M9Nl0Rp.html" rel="bookmark" class="title">&lbrack;重磅演讲&rsqb;段永朝：流动的大数据</a>
					<div>
						段永朝:现任财讯传媒集团(SEEC)首席战略官.2012年,他再出力作,&lt;新物种起源:互联网的思想基石&gt;.通过穿越文明时代的对话,重新审视互联网文明创建的伟大理念,段永朝正是中国新技术力量 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.031 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
